Bitcoin Forum
November 24, 2017, 09:33:33 AM *
News: Latest stable version of Bitcoin Core: 0.15.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: « 1 2 3 4 5 6 [7] 8 9 10 11 »  All
  Print  
Author Topic: Electrum 1.9 released  (Read 15625 times)
adamas
Legendary
*
Offline Offline

Activity: 1008


VIS ET LIBERTAS


View Profile WWW
November 22, 2013, 05:37:13 PM
 #121

Electrum 1.9.5 was released. (binaries will follow)

Changes:
* coin control: the 'prioritize' command is replaced by a "send from" menu in the Qt GUI.
(you may select multiple addresses to spend from with the mouse, and the "!" shortcut is compatible with this)
* used addresses are moved to a collapsed section
* more bug fixes

  Thanks! Expert mode available?

"Es ist kein Zeichen geistiger Gesundheit, gut angepasst an eine kranke Gesellschaft zu sein."
Join ICO Now A blockchain platform for effective freelancing
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
flatfly
Legendary
*
Offline Offline

Activity: 994


View Profile
November 22, 2013, 06:28:47 PM
 #122

Electrum 1.9.5 was released. (binaries will follow)

Changes:
* coin control: the 'prioritize' command is replaced by a "send from" menu in the Qt GUI.
(you may select multiple addresses to spend from with the mouse, and the "!" shortcut is compatible with this)
* used addresses are moved to a collapsed section
* more bug fixes


And here's a screenshot of coin control (Win XP):


1111127SpvabYpoeDoiz5L7QPkfiSh2Q. Only donate if you have a reason to.
SebastianJu
Legendary
*
Offline Offline

Activity: 1974


Legendary Escrow Service - Tip Jar in Profile


View Profile WWW
November 22, 2013, 07:53:18 PM
 #123

Electrum 1.9.5 was released. (binaries will follow)

Changes:
* coin control: the 'prioritize' command is replaced by a "send from" menu in the Qt GUI.
(you may select multiple addresses to spend from with the mouse, and the "!" shortcut is compatible with this)
* used addresses are moved to a collapsed section
* more bug fixes


Nice... will the addresses have labels too? (Cant test it since portable version isnt available.)
Sioux
Full Member
***
Offline Offline

Activity: 188


View Profile
November 24, 2013, 12:50:47 PM
 #124

oh lord this goddamn electrum still doesnt connect. always get the red dot when opening.
Im still using the 1.8.1 which doesnt dissapoint like the newer versions

why did you implement these bugs electrum?
Do you want to make me anrgy?
rx05156
Newbie
*
Offline Offline

Activity: 3


View Profile
November 24, 2013, 01:24:43 PM
 #125

I am planning to install Electrum 1.9.5 on Microsoft Windows OS using the "sources installation" method.

According to the instructions on electrum.org/download.html, I have to install PyQt4 first.

On PyQt4's page hosted by SourceForge, there are 6 files available:

PyQt4-4.10.3-gpl-Py3.3-Qt5.1.0-x64.exe

PyQt4-4.10.3-gpl-Py3.3-Qt5.1.0-x32.exe

PyQt4-4.10.3-gpl-Py3.3-Qt4.8.5-x64.exe

PyQt4-4.10.3-gpl-Py3.3-Qt4.8.5-x32.exe

PyQt4-4.10.3-gpl-Py2.7-Qt4.8.5-x64.exe

PyQt4-4.10.3-gpl-Py2.7-Qt4.8.5-x32.exe

Question #1: Which file should I download and install?

Next, the instructions on electrum.org/download.html state that one should install Electrum-1.9.5.zip

Question #2: How does one install it on a Microsoft Windows OS machine? I have unzipped Electrum-1.9.5.zip and there is no setup.exe.

Lastly, the instructions call for execute 'python electrum'

Question #3: Do I have to first open a command prompt? Some further instructions would be helpful.

Any helpful advice would be much appreciated.
(A)social
Hero Member
*****
Offline Offline

Activity: 623


View Profile WWW
November 24, 2013, 02:16:42 PM
 #126

why did you implement these bugs electrum?
Do you want to make me anrgy?

This is what's happening to me with Multibit for months... and now (right when 1.9 was released) I was just moving to Electrum. LOL!
Anyway I am confident Elcetrum devs will solve the new issues, they seems more active and well-disposed.

BTC: 1ASociaLbBZzBUR8hSw8CryajncADsR1m6 - Bitmessage: BM-orfFdAgAmtnBokTivq3vj1RtSVtXbrftM
OpenBazaar Store: https://duosear.ch/84de25a152307b93f14d784852d7c88a23081f20
flatfly
Legendary
*
Offline Offline

Activity: 994


View Profile
November 24, 2013, 02:27:55 PM
 #127

I am planning to install Electrum 1.9.5 on Microsoft Windows OS using the "sources installation" method.

According to the instructions on electrum.org/download.html, I have to install PyQt4 first.

On PyQt4's page hosted by SourceForge, there are 6 files available:

PyQt4-4.10.3-gpl-Py3.3-Qt5.1.0-x64.exe

PyQt4-4.10.3-gpl-Py3.3-Qt5.1.0-x32.exe

PyQt4-4.10.3-gpl-Py3.3-Qt4.8.5-x64.exe

PyQt4-4.10.3-gpl-Py3.3-Qt4.8.5-x32.exe

PyQt4-4.10.3-gpl-Py2.7-Qt4.8.5-x64.exe

PyQt4-4.10.3-gpl-Py2.7-Qt4.8.5-x32.exe

Question #1: Which file should I download and install?

The last one. Also, make sure you install Python 2.7.6 first.

Next, the instructions on electrum.org/download.html state that one should install Electrum-1.9.5.zip

Question #2: How does one install it on a Microsoft Windows OS machine? I have unzipped Electrum-1.9.5.zip and there is no setup.exe.

Unzipping is enough. (I agree the Windows instructions could be worded a little better.)
Lastly, the instructions call for execute 'python electrum'

Question #3: Do I have to first open a command prompt? Some further instructions would be helpful.

Yes. Feel free to ask if you need more guidance.

Any helpful advice would be much appreciated.

1111127SpvabYpoeDoiz5L7QPkfiSh2Q. Only donate if you have a reason to.
rx05156
Newbie
*
Offline Offline

Activity: 3


View Profile
November 24, 2013, 03:39:28 PM
 #128

Hi flatfly

Some more questions:

My Windows OS is 64-bit.
Question #4: Can I install PyQt4-4.10.3-gpl-Py2.7-Qt4.8.5-x64.exe instead of PyQt4-4.10.3-gpl-Py2.7-Qt4.8.5-x32.exe?

You stated that I just have to unzip Electrum-1.9.5.zip.
Question #5:  Into which directory or folder?

You mentioned that I have to install Python 2.7.6 first.
Question #6: Is it sufficient to just install Windows X86-64 MSI Installer (2.7.6) or do I have to install Windows X86-64 MSI program database (2.7.6) as well?

Suppose I have installed Python 2.7.6, PyQt4 and Electrum-1.9.5.zip. Next I open a command prompt as in the following:

C:\>

Next, I type execute 'python electrum' as in the following:

C:\>execute 'python electrum'

Question #7: Is the above step correct?
flatfly
Legendary
*
Offline Offline

Activity: 994


View Profile
November 24, 2013, 04:50:42 PM
 #129

Hi flatfly

Some more questions:

My Windows OS is 64-bit.
Question #4: Can I install PyQt4-4.10.3-gpl-Py2.7-Qt4.8.5-x64.exe instead of PyQt4-4.10.3-gpl-Py2.7-Qt4.8.5-x32.exe?

Sure you can, but then your build will work on 64-bit machines only. This is why I prefer to use the 32-bit version, which will work anywhere. So, it depends on your needs.

You stated that I just have to unzip Electrum-1.9.5.zip.
Question #5:  Into which directory or folder?
Just about anywhere will do.

You mentioned that I have to install Python 2.7.6 first.
Question #6: Is it sufficient to just install Windows X86-64 MSI Installer (2.7.6) or do I have to install Windows X86-64 MSI program database (2.7.6) as well?
The MSI Installer is enough.

Suppose I have installed Python 2.7.6, PyQt4 and Electrum-1.9.5.zip. Next I open a command prompt as in the following:

C:\>

Next, I type execute 'python electrum' as in the following:

C:\>execute 'python electrum'

Question #7: Is the above step correct?
Just 'python electrum' (without the quotes). Also, first change the working directory to where you unzipped Electrum.zip.


Hope this helps...

1111127SpvabYpoeDoiz5L7QPkfiSh2Q. Only donate if you have a reason to.
joele
Legendary
*
Offline Offline

Activity: 1013



View Profile
November 24, 2013, 05:11:39 PM
 #130

Electrum 1.9.5 was released. (binaries will follow)

Changes:
* coin control: the 'prioritize' command is replaced by a "send from" menu in the Qt GUI.
(you may select multiple addresses to spend from with the mouse, and the "!" shortcut is compatible with this)
* used addresses are moved to a collapsed section
* more bug fixes


Is it possible to have both, prioritize(the default) and Send from?
Great app, btw. Thanks!
DavidCWG
Newbie
*
Offline Offline

Activity: 25


View Profile
November 24, 2013, 10:10:25 PM
 #131

The OS X link still points to 1.9.4, though 1.9.5. can be downloaded if you manually change the URL to http://download.electrum.org/electrum-1.9.5.dmg
btcven
Hero Member
*****
Offline Offline

Activity: 717


Bitcoin Venezuela


View Profile WWW
November 25, 2013, 12:31:20 AM
 #132

The OS X link still points to 1.9.4, though 1.9.5. can be downloaded if you manually change the URL to http://download.electrum.org/electrum-1.9.5.dmg

There is a wrong config in the 1.9.5 for OSX that doesn't let you connect in the first run. It only affects Mountain Lion and older, it is being reviewed.

Admin: rdymac (PGP) | contacto@bitcoinvenezuela.com | @cafebitcoin | Electrum, lightweight bitcoin client
If I've been helpful tip me a coffee! Cheesy1rdymachKZpA9pTYHYHMYZjfjnoBW6B3k Bitrated user: rdymac.
oggers
Newbie
*
Offline Offline

Activity: 13


View Profile
November 25, 2013, 11:20:32 AM
 #133

I've just upgraded Electrum 1.9.5 on Ubuntu 13.10, and apparently nothing changes, I cannot see the new coin control "send from" and the network doesn't connect even if if uncheck autoconnect and select a server manually. I have tried to reload the wallet but nothing changes.

Maybe the linux version was not upgraded??

Anyone with this issue?
Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
November 25, 2013, 12:44:06 PM
 #134

The OS X link still points to 1.9.4, though 1.9.5. can be downloaded if you manually change the URL to http://download.electrum.org/electrum-1.9.5.dmg

There is a wrong config in the 1.9.5 for OSX that doesn't let you connect in the first run. It only affects Mountain Lion and older, it is being reviewed.

I don't think this is specific to OS X.

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
tnkflx
Sr. Member
****
Offline Offline

Activity: 296


View Profile
November 25, 2013, 01:06:47 PM
 #135

I've just upgraded Electrum 1.9.5 on Ubuntu 13.10, and apparently nothing changes, I cannot see the new coin control "send from" and the network doesn't connect even if if uncheck autoconnect and select a server manually. I have tried to reload the wallet but nothing changes.

Maybe the linux version was not upgraded??

Anyone with this issue?

Also running on Ubuntu. I do have the coin control functions. You sure you upgraded correctly?

| Operating electrum.be & us.electrum.be |
oggers
Newbie
*
Offline Offline

Activity: 13


View Profile
November 25, 2013, 01:48:30 PM
 #136

I think the upgrade was correct.

First, I closed the old electrum application then I executed from a terminal:

sudo pip install http://download.electrum.org/Electrum-1.9.5.tar.gz#md5=e8d66b08f7d1d745e1de04a090d199c2

Now when I open electrum I can read the versión 1.9.5 in the title bar but the new control functions don't appear.
elendir
Jr. Member
*
Offline Offline

Activity: 58


View Profile
November 25, 2013, 02:30:13 PM
 #137

I've just upgraded Electrum 1.9.5 on Ubuntu 13.10, and apparently nothing changes, I cannot see the new coin control "send from"

Same on Win7, running 1.9.5 portable, no coin control, feeling dumb.

Coinee = First cash-to-cash money transfer backed by bitcoin.
ThomasV
Moderator
Legendary
*
Offline Offline

Activity: 1892



View Profile WWW
November 25, 2013, 02:33:22 PM
 #138

I cannot see the new coin control "send from"

select one or several address in the receive tab, and right click

Electrum: the convenience of a web wallet, without the risks
elendir
Jr. Member
*
Offline Offline

Activity: 58


View Profile
November 25, 2013, 02:38:26 PM
 #139

select one or several address in the receive tab, and right click

Oh, got it, that makes sense. Thank you for this excellent piece of software.

Coinee = First cash-to-cash money transfer backed by bitcoin.
Sioux
Full Member
***
Offline Offline

Activity: 188


View Profile
November 25, 2013, 02:56:08 PM
 #140

electrum why doesnt the auto connect work?
Only a red dot appears and no connection works out
Pages: « 1 2 3 4 5 6 [7] 8 9 10 11 »  All
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!